MoreText Class Reference documentation

MoreText Class Reference

the main class to read the text part of More Text file More...

`#include <MoreText.hxx>`

## Public Member Functions
| MoreText (MoreParser &parser)
| constructor
virtual | ~MoreText ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions
bool | createZones ()
| try to create the text zones using read data
bool | sendMainText ()
| send a main zone
std::shared_ptr< MWAWSubDocument > | getHeaderFooter (bool header)
| returns a subdocument to send the header or the footer
bool | readTopic (MWAWEntry const &entry)
| read the list of topic positions
int | getLastTopicChildId (int tId) const
| returns the last sub topic id corresponding to a topic and its child
int | checkTopicList (size_t tId, std::set< size_t > &parent)
| check that the topic and its child does not loop (if so, cut some edge), return the number of breakpages in the sublist
bool | readComment (MWAWEntry const &entry)
| read the list of comment/header/footer zones
bool | readSpeakerNote (MWAWEntry const &entry)
| read the list of speaker note
bool | sendText (MWAWEntry const &entry, MWAWFont const &font)
| send a text entry
bool | sendComment (int cId)
| try to send a comment knowing the comment id
bool | sendSpeakerNote (int nId)
| try to send a speakernote knowing the note id
bool | sendTopic (int tId, int dLevel, std::vector< MWAWParagraph > &paraStack)
| try to send a topic knowing the topic id
bool | readFonts (MWAWEntry const &entry)
| read the list of fonts
bool | readOutlineList (MWAWEntry const &entry)
| read the list of outlines
bool | readOutline (MWAWEntry const &entry, MoreTextInternal::Outline &outline)
| read a outline
bool | readFont (MWAWEntry const &entry, std::string &fName, int &fId)
| try to read a fontname
bool | readTabs (MWAWEntry const &entry, MoreTextInternal::Paragraph &para, std::string &mess)
| try to read some tabs
bool | readCustomListLevel (MWAWEntry const &entry, MWAWListLevel &level)
| read a custom list level
bool | parseUnknown (MWAWEntry const &entry, long fDecal)
| try to read either a font, a fontname, a pattern, a int

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< MoreTextInternal::State > | m_state
| the state
MoreParser * | m_mainParser
| the main parser;

## Private Member Functions
| MoreText (MoreText const &orig)=delete
MoreText & | operator= (MoreText const &orig)=delete

## Friends
class | MoreParser
class | MoreTextInternal::SubDocument

## Detailed Description

the main class to read the text part of More Text file

## Constructor & Destructor Documentation

## ◆ MoreText() [1/2]

MoreText::MoreText | ( | MoreParser & | parser | ) |
| explicit

constructor

Referenced by MoreText(), numPages(), and operator=().

## ◆ ~MoreText()

MoreText::~MoreText | ( |  | ) |
| virtual

destructor

## ◆ MoreText() [2/2]

MoreText::MoreText | ( | MoreText const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ checkTopicList()

int MoreText::checkTopicList | ( | size_t | tId,
|  | std::set< size_t > & | parent )
| protected

check that the topic and its child does not loop (if so, cut some edge), return the number of breakpages in the sublist

Referenced by checkTopicList(), and createZones().

## ◆ createZones()

bool MoreText::createZones | ( |  | ) |
| protected

try to create the text zones using read data

Referenced by numPages().

## ◆ getHeaderFooter()

std::shared_ptr< MWAWSubDocument > MoreText::getHeaderFooter | ( | bool | header | ) |
| protected

returns a subdocument to send the header or the footer

## ◆ getLastTopicChildId()

int MoreText::getLastTopicChildId | ( | int | tId | ) | const
| protected

returns the last sub topic id corresponding to a topic and its child

Referenced by checkTopicList(), and sendTopic().

## ◆ numPages()

int MoreText::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

MoreText & MoreText::operator= | ( | MoreText const & | orig | ) |
| privatedelete

## ◆ parseUnknown()

bool MoreText::parseUnknown | ( | MWAWEntry const & | entry,
|  | long | fDecal )
| protected

try to read either a font, a fontname, a pattern, a int

Referenced by readOutline().

## ◆ readComment()

bool MoreText::readComment | ( | MWAWEntry const & | entry | ) |
| protected

read the list of comment/header/footer zones

## ◆ readCustomListLevel()

bool MoreText::readCustomListLevel | ( | MWAWEntry const & | entry,
|  | MWAWListLevel & | level )
| protected

read a custom list level

Referenced by readOutline().

## ◆ readFont()

bool MoreText::readFont | ( | MWAWEntry const & | entry,
|  | std::string & | fName,
|  | int & | fId )
| protected

try to read a fontname

Note
  : fId is set to -1 is the field contains only a fontname and can not find the associated id

Referenced by parseUnknown(), and readOutline().

## ◆ readFonts()

bool MoreText::readFonts | ( | MWAWEntry const & | entry | ) |
| protected

read the list of fonts

## ◆ readOutline()

bool MoreText::readOutline | ( | MWAWEntry const & | entry,
|  | MoreTextInternal::Outline & | outline )
| protected

read a outline

Referenced by readOutlineList().

## ◆ readOutlineList()

bool MoreText::readOutlineList | ( | MWAWEntry const & | entry | ) |
| protected

read the list of outlines

## ◆ readSpeakerNote()

bool MoreText::readSpeakerNote | ( | MWAWEntry const & | entry | ) |
| protected

read the list of speaker note

## ◆ readTabs()

bool MoreText::readTabs | ( | MWAWEntry const & | entry,
|  | MoreTextInternal::Paragraph & | para,
|  | std::string & | mess )
| protected

try to read some tabs

Referenced by parseUnknown(), and readOutline().

## ◆ readTopic()

bool MoreText::readTopic | ( | MWAWEntry const & | entry | ) |
| protected

read the list of topic positions

## ◆ sendComment()

bool MoreText::sendComment | ( | int | cId | ) |
| protected

try to send a comment knowing the comment id

## ◆ sendMainText()

bool MoreText::sendMainText | ( |  | ) |
| protected

send a main zone

## ◆ sendSpeakerNote()

bool MoreText::sendSpeakerNote | ( | int | nId | ) |
| protected

try to send a speakernote knowing the note id

## ◆ sendText()

bool MoreText::sendText | ( | MWAWEntry const & | entry,
|  | MWAWFont const & | font )
| protected

send a text entry

Referenced by sendComment(), sendSpeakerNote(), and sendTopic().

## ◆ sendTopic()

bool MoreText::sendTopic | ( | int | tId,
|  | int | dLevel,
|  | std::vector< MWAWParagraph > & | paraStack )
| protected

try to send a topic knowing the topic id

Referenced by sendMainText(), and sendTopic().

## ◆ version()

int MoreText::version | ( |  | ) | const

returns the file version

Referenced by readOutline().

## Friends And Related Symbol Documentation

## ◆ MoreParser

friend class MoreParser
| friend

Referenced by MoreParser, MoreText(), and MoreTextInternal::SubDocument.

## ◆ MoreTextInternal::SubDocument

friend class MoreTextInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_mainParser

MoreParser* MoreText::m_mainParser
| protected

the main parser;

Referenced by MoreText(), parseUnknown(), readComment(), readOutlineList(), readSpeakerNote(), readTopic(), and sendTopic().

## ◆ m_parserState

MWAWParserStatePtr MoreText::m_parserState
| protected

the parser state

Referenced by getHeaderFooter(), MoreText(), parseUnknown(), readComment(), readCustomListLevel(), readFont(), readFonts(), readOutline(), readOutlineList(), readSpeakerNote(), readTabs(), readTopic(), sendComment(), sendMainText(), sendSpeakerNote(), sendText(), sendTopic(), and version().

## ◆ m_state

std::shared_ptr<MoreTextInternal::State> MoreText::m_state
| protected

the state

Referenced by checkTopicList(), createZones(), getHeaderFooter(), getLastTopicChildId(), MoreText(), numPages(), readComment(), readOutlineList(), readSpeakerNote(), readTopic(), sendComment(), sendMainText(), sendSpeakerNote(), sendTopic(), and version().

The documentation for this class was generated from the following files:

- MoreText.hxx
- MoreText.cxx